%%%%%%%%%%%%%%%%%%%%%
%%% Este arquivo foi construido
%% a partir do modulo simbolico do MATLAB (mapple)
%%%
%%% Notao :
%% theta = [t1 ; t2];
%% d/dt (theta) = [dt1 ; dt2];
%% d/dt(y) = yp;
%% d/dt(yp) = ypp;
%% u = vetor de torques
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

y =[cos(t1)+cos(t1+t2);
 sin(t1)+sin(t1+t2)];

yp =  [(-sin(t1)-sin(t1+t2))*dt1-sin(t1+t2)*dt2;
  (cos(t1)+cos(t1+t2))*dt1+cos(t1+t2)*dt2];

 
A=[ (sin(t1)-sin(t1+2*t2))/(-3+cos(2*t2)), (-sin(t1)+3*sin(t1+t2)-sin(t1-t2)+sin(t1+2*t2))/(-3+cos(2*t2));
(-cos(t1)+cos(t1+2*t2))/(-3+cos(2*t2)),  (cos(t1)+cos(t1-t2)-3*cos(t1+t2)-cos(t1+2*t2))/(-3+cos(2*t2))];
 
a=[(-5*g+2*dt1^2*cos(t1)+4*cos(t1+t2)*dt1^2+8*dt1*cos(t1+t2)*dt2+4*cos(t1+t2)*dt2^2+2*dt1^2*cos(t1+2*t2)+3*g*cos(2*t2)+g*cos(2*t1+2*t2)+g*cos(2*t1))/(-6+2*cos(2*t2));
 (8*dt1*sin(t1+t2)*dt2+4*sin(t1+t2)*dt2^2+g*sin(2*t1)+2*dt1^2*sin(t1+2*t2)+g*sin(2*t1+2*t2)+g*sin(2*t2)+2*sin(t1)*dt1^2+4*sin(t1+t2)*dt1^2)/(-6+2*cos(2*t2))];

 
 
ypp= a + A*u