function [out] = modelo(x);


g=9.8;
t1 = x(1);
t2 = x(2);
dt1 = x(3);
dt2 = x(4);

tau1 = x(5);
tau2 = x(6);

theta = [t1 ; t2];

dtheta = [dt1 ; dt2];

tau = [tau1;tau2];

M = [3+2*cos(t2)  1+cos(t2);
    1+cos(t2)        1    ];


H= [-dt2*(2*dt1+dt2)*sin(t2);
    dt1*dt1*sin(t2)]+[2*g*sin(t1)+g*sin(t1+t2);
    g*sin(t1+t2)];


M1=inv(M);

ddtheta = M1*[-H + tau];


out=[dtheta;ddtheta];
